import request from '@/utils/request'

// 能源单价设置
export function unitPriceSet(query) {
    return request({
        url: '/energy/energy-price-setting',
        method: 'get',
        params: query
    })
}

// 能源设置下拉
export function electricitySelect(query) {
    return request({
        url: '/energy/workshop-energy/typological',
        method: 'get',
        params: query
    })
}

// 能源单价设置历史记录
export function unitPriceSetRecord(query) {
    return request({
        url: '/energy/energy-price-histories',
        method: 'get',
        params: query
    })
}

// 能源单价设置设置回显
export function priceEcho() {
    return request({
        url: '/energy/findAllPriceElectricSet',
        method: 'get'
    })
}

// 能源单价设置历史记录
export function putUnitPriceSet(data) {
    return request({
        url: '/energy/energy-price-settings/set-price',
        method: 'post',
        data
    })
}
